Models
Batch Update Model-Dataset Associations
Update multiple model-dataset associations in a single request.
PATCH
/
v1
/
models
/
{model_id}
/
datasets
/
batch
Batch Update Model-Dataset Associations
curl --request PATCH \
--url https://api.cuadra.ai/v1/models/{model_id}/datasets/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"datasets": [
{
"datasetId": "550e8400-e29b-41d4-a716-446655440001",
"priority": 5
},
{
"datasetId": "550e8400-e29b-41d4-a716-446655440002",
"datasetSnapshotId": "550e8400-e29b-41d4-a716-446655440003",
"priority": 10
}
]
}
'import requests
url = "https://api.cuadra.ai/v1/models/{model_id}/datasets/batch"
payload = { "datasets": [
{
"datasetId": "550e8400-e29b-41d4-a716-446655440001",
"priority": 5
},
{
"datasetId": "550e8400-e29b-41d4-a716-446655440002",
"datasetSnapshotId": "550e8400-e29b-41d4-a716-446655440003",
"priority": 10
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
datasets: [
{datasetId: '550e8400-e29b-41d4-a716-446655440001', priority: 5},
{
datasetId: '550e8400-e29b-41d4-a716-446655440002',
datasetSnapshotId: '550e8400-e29b-41d4-a716-446655440003',
priority: 10
}
]
})
};
fetch('https://api.cuadra.ai/v1/models/{model_id}/datasets/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cuadra.ai/v1/models/{model_id}/datasets/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'datasets' => [
[
'datasetId' => '550e8400-e29b-41d4-a716-446655440001',
'priority' => 5
],
[
'datasetId' => '550e8400-e29b-41d4-a716-446655440002',
'datasetSnapshotId' => '550e8400-e29b-41d4-a716-446655440003',
'priority' => 10
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cuadra.ai/v1/models/{model_id}/datasets/batch"
payload := strings.NewReader("{\n \"datasets\": [\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440001\",\n \"priority\": 5\n },\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440002\",\n \"datasetSnapshotId\": \"550e8400-e29b-41d4-a716-446655440003\",\n \"priority\": 10\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.cuadra.ai/v1/models/{model_id}/datasets/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"datasets\": [\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440001\",\n \"priority\": 5\n },\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440002\",\n \"datasetSnapshotId\": \"550e8400-e29b-41d4-a716-446655440003\",\n \"priority\": 10\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cuadra.ai/v1/models/{model_id}/datasets/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"datasets\": [\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440001\",\n \"priority\": 5\n },\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440002\",\n \"datasetSnapshotId\": \"550e8400-e29b-41d4-a716-446655440003\",\n \"priority\": 10\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"created": [
{
"createdAt": "2025-10-18T06:33:19Z",
"datasetId": "550e8400-e29b-41d4-a716-446655440001",
"modelId": "550e8400-e29b-41d4-a716-446655440000",
"priority": 0,
"updatedAt": "2025-10-18T06:33:19Z",
"usageType": "rag"
}
],
"skipped": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
bearerAuthoauth2
Body
application/json
Schema for batch updating multiple model-dataset associations.
Response
Successful Response
Response for batch dataset association creation.
Was this page helpful?
⌘I
Batch Update Model-Dataset Associations
curl --request PATCH \
--url https://api.cuadra.ai/v1/models/{model_id}/datasets/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"datasets": [
{
"datasetId": "550e8400-e29b-41d4-a716-446655440001",
"priority": 5
},
{
"datasetId": "550e8400-e29b-41d4-a716-446655440002",
"datasetSnapshotId": "550e8400-e29b-41d4-a716-446655440003",
"priority": 10
}
]
}
'import requests
url = "https://api.cuadra.ai/v1/models/{model_id}/datasets/batch"
payload = { "datasets": [
{
"datasetId": "550e8400-e29b-41d4-a716-446655440001",
"priority": 5
},
{
"datasetId": "550e8400-e29b-41d4-a716-446655440002",
"datasetSnapshotId": "550e8400-e29b-41d4-a716-446655440003",
"priority": 10
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
datasets: [
{datasetId: '550e8400-e29b-41d4-a716-446655440001', priority: 5},
{
datasetId: '550e8400-e29b-41d4-a716-446655440002',
datasetSnapshotId: '550e8400-e29b-41d4-a716-446655440003',
priority: 10
}
]
})
};
fetch('https://api.cuadra.ai/v1/models/{model_id}/datasets/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cuadra.ai/v1/models/{model_id}/datasets/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'datasets' => [
[
'datasetId' => '550e8400-e29b-41d4-a716-446655440001',
'priority' => 5
],
[
'datasetId' => '550e8400-e29b-41d4-a716-446655440002',
'datasetSnapshotId' => '550e8400-e29b-41d4-a716-446655440003',
'priority' => 10
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cuadra.ai/v1/models/{model_id}/datasets/batch"
payload := strings.NewReader("{\n \"datasets\": [\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440001\",\n \"priority\": 5\n },\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440002\",\n \"datasetSnapshotId\": \"550e8400-e29b-41d4-a716-446655440003\",\n \"priority\": 10\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.cuadra.ai/v1/models/{model_id}/datasets/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"datasets\": [\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440001\",\n \"priority\": 5\n },\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440002\",\n \"datasetSnapshotId\": \"550e8400-e29b-41d4-a716-446655440003\",\n \"priority\": 10\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cuadra.ai/v1/models/{model_id}/datasets/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"datasets\": [\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440001\",\n \"priority\": 5\n },\n {\n \"datasetId\": \"550e8400-e29b-41d4-a716-446655440002\",\n \"datasetSnapshotId\": \"550e8400-e29b-41d4-a716-446655440003\",\n \"priority\": 10\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"created": [
{
"createdAt": "2025-10-18T06:33:19Z",
"datasetId": "550e8400-e29b-41d4-a716-446655440001",
"modelId": "550e8400-e29b-41d4-a716-446655440000",
"priority": 0,
"updatedAt": "2025-10-18T06:33:19Z",
"usageType": "rag"
}
],
"skipped": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}